<WebService
     class="ch.nevis.esauth.auth.adapter.wstrust.SecurityTokenService"
     name="SecurityTokenService-UNameToken"

     uri="/nevisauth/services/sts/username/"
     SSODomain="Auth_Realm_Certificate_STS">
   <Mapping
        from="xpath://OnBehalfOf/UsernameToken/Username/text()"
        to="UserID" scope="inargs" />

   <Method name="authenticate" />

   <property name="token:secToken" value="${response.signedTokenAsString}" />
   <property name="secToken.binary" value="${param.secToken.binary}" />
</WebService>